Bug 677943 - Review Request: liblouis - Braille translation and back-translation library
Review Request: liblouis - Braille translation and back-translation library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
: 597597 (view as bug list)
Depends On:
Blocks: 677946
  Show dependency treegraph
 
Reported: 2011-02-16 05:29 EST by Martin Gieseking
Modified: 2011-03-20 17:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: liblouis-2.2.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 00:10:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Gieseking 2011-02-16 05:29:28 EST
Spec URL: http://mgieseki.fedorapeople.org/liblouis/liblouis.spec
SRPM URL: http://mgieseki.fedorapeople.org/liblouis/liblouis-2.2.0-1.fc14.src.rpm

Description:
Liblouis is an open-source braille translator and back-translator. It features
support for computer and literary braille, supports contracted and uncontracted
translation for many, many languages and has support for hyphenation. New languages can easily be added through tables that support a rule- or dictionary based approach. Liblouis also supports math braille (Nemeth and Marburg).

Liblouis is based on the translation routines in the BRLTTY screenreader for Linux. It has, however, gone far beyond these routines. 
The library is named in honor of Louis Braille.
Comment 1 Martin Gieseking 2011-02-16 05:33:06 EST
*** Bug 597597 has been marked as a duplicate of this bug. ***
Comment 2 Mario Blättermann 2011-02-28 14:27:41 EST
[mario@localhost ~]$ rpmlint liblouis.spec
liblouis.spec:18: W: unversioned-explicit-provides bundled(gnulib)
liblouis.spec:76: W: macro-in-comment %check
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

The second issue of rpmlint we can throw away. The first one declares the known exception for gnulib libraries, but what's the reason of rpmlint for this issue?

Additionally, you should replace the occurences of the package name in the %files sections with the macro %{name}.
Comment 3 Martin Gieseking 2011-02-28 17:01:49 EST
Thanks for the notes. I've added the release date of the bundled gnulib library as there's no official version number. Also using %{name} more consistently now. 

Spec URL: http://mgieseki.fedorapeople.org/liblouis/liblouis.spec
SRPM URL:
http://mgieseki.fedorapeople.org/liblouis/liblouis-2.2.0-2.fc14.src.rpm
Comment 4 Mario Blättermann 2011-03-08 14:14:20 EST
rpmlint says now:

$ rpmlint *
liblouis.src: W: spelling-error %description -l en_US uncontracted -> subcontracted, contracted, uncontrolled
liblouis.src: W: spelling-error %description -l en_US screenreader -> screen reader, screen-reader, screenwriter
liblouis.src:78: W: macro-in-comment %check
liblouis.spec:78: W: macro-in-comment %check
1 packages and 1 specfiles checked; 0 errors, 4 warnings.

Informal review follows, stay tuned...
Comment 5 Mario Blättermann 2011-03-08 14:44:41 EST
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - LGPLv3+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    bea9776105e86663d3ca1a6214278097  liblouis-2.2.0.tar.gz
    bea9776105e86663d3ca1a6214278097  liblouis-2.2.0.tar.gz.1
[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    Koji scratch build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2895100
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[+] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[+] MUST: devel packages must require the base package using a fully versioned
dependency.
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file.
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, ...
[+] SHOULD: The reviewer should test that the package builds in mock.
    - see Koji build above
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
    Hm, somewhat difficult to test a pure library. I assume that the
    packager has tested it.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.
[+] SHOULD: Your package should contain man pages for binaries/scripts.
    No manpage available, but an info page is present and installed.
Comment 6 Mario Blättermann 2011-03-08 14:49:53 EST
Oops, a mistake in my review:

[+] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.

Of course, the other subpackages has set the correct dependencies. The "utils" package could have this dependency optionally, but it's not really required.
Comment 7 Martin Gieseking 2011-03-09 08:44:11 EST
Thank you for the review. Since you're now a member of the packager group, you are also allowed to approve this package if you can't find any packaging mistakes.


(In reply to comment #6)
> Of course, the other subpackages has set the correct dependencies. The "utils"
> package could have this dependency optionally, but it's not really required.

Yes, it's not necessary because the -utils package depends on liblouis.so.* provided by the base package:
$ rpm -qp --requires liblouis-utils-2.2.0-2.fc14.i686.rpm 
...
liblouis.so.2  
...

$ rpm -qp --provides liblouis-2.2.0-2.fc14.i686.rpm
bundled(gnulib) = 20091111
liblouis.so.2  
liblouis = 2.2.0-2.fc14
liblouis(x86-32) = 2.2.0-2.fc14

Thus, the base package is automatically pulled in as a dependency.
Comment 8 Mario Blättermann 2011-03-10 14:30:21 EST
(In reply to comment #7)
> Thank you for the review. Since you're now a member of the packager group, you
> are also allowed to approve this package if you can't find any packaging
> mistakes.

----------------
Package APPROVED
----------------
Comment 9 Martin Gieseking 2011-03-10 16:18:02 EST
Thanks again for the review. Please also assign this ticket to yourself.


New Package SCM Request
=======================
Package Name: liblouis
Short Description: Braille translation and back-translation library
Owners: mgieseki
Branches: f14 f15
InitialCC:
Comment 10 Jason Tibbitts 2011-03-10 17:24:07 EST
This ticket is not assigned to anyone.  It should be assigned to the reviewer.

Please fix and re-raise the fedora-cvs flag.
Comment 11 Jason Tibbitts 2011-03-11 14:30:35 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2011-03-11 15:19:00 EST
liblouis-2.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/liblouis-2.2.0-2.fc14
Comment 13 Fedora Update System 2011-03-11 15:19:07 EST
liblouis-2.2.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/liblouis-2.2.0-2.fc15
Comment 14 Fedora Update System 2011-03-11 23:24:56 EST
liblouis-2.2.0-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 15 Fedora Update System 2011-03-16 00:10:18 EDT
liblouis-2.2.0-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 16 Fedora Update System 2011-03-20 17:23:21 EDT
liblouis-2.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.